%global project_version 0.0.5
%define debug_package %{nil}

Name:		mgmt
Version:	0.0.5
Release:	untagged
Summary:	A next generation config management prototype!
License:	AGPLv3+
URL:		https://github.com/purpleidea/mgmt
Source0:	https://dl.fedoraproject.org/pub/alt/purpleidea/mgmt/SOURCES/mgmt-%{project_version}.tar.bz2

# graphviz should really be a "suggests", since technically it's optional
Requires: graphviz

BuildRequires:	golang
BuildRequires:	golang-googlecode-tools-stringer
BuildRequires:	git-core
BuildRequires:	mercurial

%description
A next generation config management prototype!

%prep
%setup

%build
# FIXME: in the future, these could be vendor-ed in
mkdir -p vendor/
export GOPATH=`pwd`/vendor/
go get github.com/coreos/etcd/client
go get gopkg.in/yaml.v2
go get gopkg.in/fsnotify.v1
go get github.com/urfave/cli
go get github.com/coreos/go-systemd/dbus
go get github.com/coreos/go-systemd/util
make build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_unitdir}/
install -pm 0644 misc/mgmt.service %{buildroot}/%{_unitdir}/

# install the binary
mkdir -p %{buildroot}/%{_bindir}
install -m 0755 mgmt %{buildroot}/%{_bindir}/mgmt

# profile.d bash completion
mkdir -p %{buildroot}%{_sysconfdir}/profile.d
install misc/bashrc.sh -m 0755 %{buildroot}%{_sysconfdir}/profile.d/mgmt.sh

# etc dir
mkdir -p %{buildroot}%{_sysconfdir}/mgmt/
install -m 0644 misc/example.conf %{buildroot}%{_sysconfdir}/mgmt/mgmt.conf

%files
%attr(0755, root, root) %{_sysconfdir}/profile.d/mgmt.sh
%{_bindir}/mgmt
%{_sysconfdir}/mgmt/*
%{_unitdir}/mgmt.service

# https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#Documentation
# Please add docs one per line in alpha order to avoid diff churn.
%doc AUTHORS
%doc COPYING
%doc COPYRIGHT
%doc DOCUMENTATION.md
%doc README.md
%doc THANKS
%doc examples/*

# this changelog is auto-generated by git log
%changelog
* Tue Oct 11 2016 Alexandre-Xavier Labonté-Lamoureux <alexandrexavier@live.ca>
- (ec87781) test: Tokens should always have a colon (HEAD -> master, origin/pr/79, origin/master)

* Fri Oct 7 2016 James Shubin <james@shubin.ca>
- (a6ae958) etcd: Fix type issue

* Fri Oct 7 2016 James Shubin <james@shubin.ca>
- (312103e) test: update lint checker to support packages

* Fri Oct 7 2016 James Shubin <james@shubin.ca>
- (c2911bb) etcd: Verify struct is not nil before accessing retries value

* Fri Oct 7 2016 James Shubin <james@shubin.ca>
- (8ca5e38) readme: Update repository with information about remote execution

* Mon Oct 3 2016 James Shubin <james@shubin.ca>
- (4b8ad3a) godoc: Document packagekit package

* Mon Oct 3 2016 James Shubin <james@shubin.ca>
- (f219c26) godoc: Document resources package

* Mon Oct 3 2016 James Shubin <james@shubin.ca>
- (cfde542) golint: Outdent else statement

* Mon Oct 3 2016 James Shubin <james@shubin.ca>
- (71a82b0) resources: Use named fields to avoid bothering go vet (tag: 0.0.5)

* Mon Oct 3 2016 James Shubin <james@shubin.ca>
- (b7bd2d2) recwatch: Rearrange condition to unconfuse golinter

* Mon Oct 3 2016 James Shubin <james@shubin.ca>
- (cd26a07) test: Catch go vet issues in subpackages

* Mon Oct 3 2016 James Shubin <james@shubin.ca>
- (46893e8) recwatch: Split recursive watching into sub-package

* Sat Oct 1 2016 James Shubin <james@shubin.ca>
- (567dcaf) resources: fix deadlock on recursion

* Wed Sep 28 2016 James Shubin <james@shubin.ca>
- (9368c7e) resources: msg: Turn on journal logging in the example

* Wed Sep 28 2016 James Shubin <james@shubin.ca>
- (654b3e9) file: Fix regression in fsnotify code

* Tue Sep 27 2016 James Shubin <james@shubin.ca>
- (f09db49) golint: Fix nested else statement

* Tue Sep 27 2016 Felix Frank <Felix.Frank@Alumni.TU-Berlin.de>
- (30d93cf) resources: msg: Introduce new resource type to log arbitrary messages

* Tue Sep 27 2016 James Shubin <james@shubin.ca>
- (41b3db7) golint: Fix issues caught by the linter

* Tue Sep 27 2016 James Shubin <james@shubin.ca>
- (2a60deb) resources: svc: Catch reload states too

* Tue Sep 27 2016 James Shubin <james@shubin.ca>
- (eb30642) readme: Add link to godoc

* Tue Sep 27 2016 James Shubin <james@shubin.ca>
- (ea85e2a) golang: Update to version 1.6 as the minimum

* Tue Sep 27 2016 James Shubin <james@shubin.ca>
- (ef979a0) vendor: Update etcd to working version and fix grpc stuff

* Tue Sep 27 2016 Felix Frank <Felix.Frank@Alumni.TU-Berlin.de>
- (e0107b1) have 'make clean' get rid of generated code files again

* Tue Sep 27 2016 James Shubin <james@shubin.ca>
- (ccc00f9) Resources: Update interface to support errors

* Tue Sep 27 2016 James Shubin <james@shubin.ca>
- (ad3c6bd) TODO: add TODO item about DHT idea

* Tue Sep 27 2016 James Shubin <james@shubin.ca>
- (8fe3891) Makefile: Limit depth for yamlfmt

* Mon Sep 26 2016 James Shubin <james@shubin.ca>
- (63f2195) golang: Split things into packages

* Tue Sep 20 2016 James Shubin <james@shubin.ca>
- (361d643) resources: Compare Delay and Retry metaparams on graph change

* Mon Sep 19 2016 Antoine Racine <racine.antoine@gmail.com>
- (abe1ffa) Add pcap.h dependency on Debian/Ubuntu to fix make deps error (origin/pr/69)

* Mon Sep 19 2016 James Shubin <james@shubin.ca>
- (fc24c91) Resources: Add retry and retry delay meta parameters

* Mon Sep 19 2016 James Shubin <james@shubin.ca>
- (53cabd5) Resources: Prototype retry and retry delay meta parameters

* Mon Sep 19 2016 James Shubin <james@shubin.ca>
- (2b1e8cd) travis: bump to newer golang version (fedora 23)

* Mon Sep 19 2016 Michaël Faille <michael@faille.io>
- (9715146) travis : use go1.7 to be future proof.

* Mon Sep 19 2016 Michaël Faille <michael@faille.io>
- (22b0b89) Let `env` find bash in shebang.

* Mon Sep 19 2016 Michaël Faille <michael@faille.io>
- (2ebc23a) cli : Prefer github.com/urfave/cli as cli (origin/pr/66)

* Sun Sep 18 2016 James Shubin <james@shubin.ca>
- (0199285) readme: Add information for new users

* Sun Sep 18 2016 James Shubin <james@shubin.ca>
- (277ab2f) readme: We now have an arch aur build.

* Sun Sep 18 2016 James Shubin <james@shubin.ca>
- (8a96dfd) art: Add a logo

* Sun Sep 18 2016 James Shubin <james@shubin.ca>
- (66fbbb9) test: temporarily disable test

* Wed Sep 14 2016 James Shubin <james@shubin.ca>
- (716ea1b) etcd: Update examples to be more useful for single machine tests

* Mon Sep 12 2016 James Shubin <james@shubin.ca>
- (3d701d3) todo: Update TODO file

* Mon Sep 12 2016 James Shubin <james@shubin.ca>
- (598c746) file: Overhaul file resource and add recursion

* Sun Sep 11 2016 Felix Frank <Felix.Frank@Alumni.TU-Berlin.de>
- (4bd53d5) add puppet support documentation (origin/pr/63)

* Wed Sep 7 2016 James Shubin <james@shubin.ca>
- (70f8d54) thanks: More people really needed to be on the list (tag: 0.0.4)

* Wed Sep 7 2016 James Shubin <james@shubin.ca>
- (4ef25a3) docs: Add an FAQ entry about difference between two similar methods

* Wed Sep 7 2016 Felix Frank <Felix.Frank@Alumni.TU-Berlin.de>
- (f5dd90a) add unit tests for UUID comparison and resource event passing (origin/pr/62)

* Wed Sep 7 2016 James Shubin <james@shubin.ca>
- (a84defd) readme: Add new blog posts by Felix

* Fri Sep 2 2016 James Shubin <james@shubin.ca>
- (1cf88d9) test: Increase timeouts of t8

* Fri Sep 2 2016 James Shubin <james@shubin.ca>
- (644a0ee) puppet: golint fixes

* Fri Sep 2 2016 James Shubin <james@shubin.ca>
- (e9d5dc8) packagekit: golint fixes

* Fri Sep 2 2016 James Shubin <james@shubin.ca>
- (8003202) resources: golint fixes

* Fri Sep 2 2016 James Shubin <james@shubin.ca>
- (b46432b) misc: Golint fixes

* Fri Sep 2 2016 James Shubin <james@shubin.ca>
- (5e3f03d) etcd: Catch possible raft grpc error

* Thu Sep 1 2016 James Shubin <james@shubin.ca>
- (8ab8e66) test: provider usage text for shell test runner (origin/feat/remote, historical/remote)

* Wed Aug 31 2016 James Shubin <james@shubin.ca>
- (786b896) remote: small cleanups to update misc notes

* Wed Aug 31 2016 James Shubin <james@shubin.ca>
- (40723f8) docs: Add additional documentation about remote execution

* Wed Aug 31 2016 James Shubin <james@shubin.ca>
- (2a0721b) remote: allow converge during corner cases

* Wed Aug 31 2016 James Shubin <james@shubin.ca>
- (ff01e4a) remote: Add distributed converged timeout

* Wed Aug 31 2016 James Shubin <james@shubin.ca>
- (6794aff) miscellaneous cleanups and fixes

* Wed Aug 31 2016 James Shubin <james@shubin.ca>
- (636f2a3) etcd: Use new converged timers and allow skipping them

* Wed Aug 31 2016 James Shubin <james@shubin.ca>
- (eee652c) converger: Add new timer system for determining convergence

* Wed Aug 31 2016 James Shubin <james@shubin.ca>
- (6d45cd4) converger: Add new methods to the API

* Wed Aug 31 2016 James Shubin <james@shubin.ca>
- (f5fb135) converger: Update the API for errors and naming

* Wed Aug 31 2016 James Shubin <james@shubin.ca>
- (6bf32c9) etcd: Rename loop to be more consistent in messages

* Wed Aug 31 2016 James Shubin <james@shubin.ca>
- (8d3011f) etcd: Add a timeout for etcd server to start correctly

* Wed Aug 31 2016 James Shubin <james@shubin.ca>
- (9260066) tests: Workaround regression in two host etcd clusters

* Wed Aug 31 2016 James Shubin <james@shubin.ca>
- (5e45c58) Improve internal etcd error handling

* Wed Aug 31 2016 James Shubin <james@shubin.ca>
- (db4de12) Add more flexibility around the prefixes available

* Wed Aug 31 2016 James Shubin <james@shubin.ca>
- (d429795) Improve the configWatcher array to allow N files

* Wed Aug 31 2016 James Shubin <james@shubin.ca>
- (276219a) Run tests with a tmp prefix

* Wed Aug 31 2016 James Shubin <james@shubin.ca>
- (03c1df9) Improve prefix creation and feedback

* Wed Aug 31 2016 James Shubin <james@shubin.ca>
- (79ba750) Automatically update remote files on change

* Wed Aug 31 2016 James Shubin <james@shubin.ca>
- (1d0e187) Etcd: switch to using a directory prefix

* Wed Aug 31 2016 James Shubin <james@shubin.ca>
- (ad1e48a) Add caching for remote execution

* Wed Aug 31 2016 James Shubin <james@shubin.ca>
- (7032eea) Remote "agent-less" mode

* Tue Aug 30 2016 James Shubin <james@shubin.ca>
- (bdb9702) Start converger even if graph is empty

* Tue Aug 30 2016 James Shubin <james@shubin.ca>
- (fa4f5ab) Fix up tests, and one small bug

* Tue Aug 30 2016 James Shubin <james@shubin.ca>
- (0c7b05b) Check for exit status of tests

* Tue Aug 30 2016 Joe Julian <me@joejulian.name>
- (4ca98b5) Allow make overrides of version if git fails (origin/pr/59)

* Tue Aug 30 2016 Joe Julian <me@joejulian.name>
- (4e00c78) Change "uname -i" to "uname -m" to be portable (origin/pr/57)

* Thu Aug 4 2016 James Shubin <james@shubin.ca>
- (17adb19) Fix typo

* Wed Aug 3 2016 James Shubin <james@shubin.ca>
- (1db936e) Update docs because they were out of date

* Wed Aug 3 2016 James Shubin <james@shubin.ca>
- (7194ba7) Update docs to add automatic clustering

* Tue Aug 2 2016 James Shubin <james@shubin.ca>
- (59b9b6f) Docs: Add FAQ entry about similarly named band

* Tue Aug 2 2016 James Shubin <james@shubin.ca>
- (c1ec8d1) Improve README for first time users

* Tue Jul 26 2016 James Shubin <james@shubin.ca>
- (24ba6ab) Don't block on member exits

* Tue Jul 26 2016 James Shubin <james@shubin.ca>
- (f6c1bba) Avoid a rare panic if DestroyServer is called early

* Mon Jul 25 2016 James Shubin <james@shubin.ca>
- (a606961) Be safe when closing in destroy in case client is nil

* Mon Jul 25 2016 James Shubin <james@shubin.ca>
- (cafe0e4) Round of golint fixes to improve documentation.

* Mon Jul 25 2016 James Shubin <james@shubin.ca>
- (e28c126) Do some gofmt simplifications

* Mon Jul 25 2016 James Shubin <james@shubin.ca>
- (c1605a4) Add test case for urfave regression

* Mon Jul 25 2016 James Shubin <james@shubin.ca>
- (7aeb55d) Port embedded etcd to embed API

* Sun Jul 24 2016 James Shubin <james@shubin.ca>
- (8ca65f9) Revert "Copy in out of tree patches"

* Wed Jul 20 2016 James Shubin <james@shubin.ca>
- (94524d1) Revert "Revert "Allow 1.6 to fail for now""

* Sun Jul 17 2016 Sharad Ganapathy <sharadg@yahoo-inc.com>
- (a1ed034) Adding timer resource and usage examples

* Thu Jul 14 2016 James Shubin <james@shubin.ca>
- (402a637) Add exec3 example

* Thu Jul 7 2016 Jeremy Thurgood <firxen@gmail.com>
- (5d45bcd) Check for old golang versions while installing dependencies. (origin/pr/54)

* Wed Jul 6 2016 Jack Henschel <jh@openmailbox.org>
- (f1fa64c) Add recording and slides from DebConf16 presentation by James Shubin (origin/pr/52)

* Tue Jul 5 2016 Jack Henschel <jh@openmailbox.org>
- (50fc785) Remove noop functionality from TODO (origin/pr/53)

* Tue Jul 5 2016 James Shubin <james@shubin.ca>
- (3e5863d) Get travis results faster!

* Tue Jul 5 2016 James Shubin <james@shubin.ca>
- (94b447a) Remove manual etcd usage. No longer needed.

* Tue Jul 5 2016 James Shubin <james@shubin.ca>
- (78d7697) Revert "Allow 1.6 to fail for now"

* Tue Jul 5 2016 James Shubin <james@shubin.ca>
- (672baae) Bump to etcd v3.0.0

* Mon Jun 20 2016 James Shubin <james@shubin.ca>
- (e942d71) Include video

* Mon Jun 20 2016 James Shubin <james@shubin.ca>
- (f5d24cf) New blog post!

* Mon Jun 20 2016 James Shubin <james@shubin.ca>
- (f63b1cd) Allow 1.6 to fail for now

* Mon Jun 20 2016 James Shubin <james@shubin.ca>
- (66719b3) Update links

* Sun Jun 19 2016 James Shubin <james@shubin.ca>
- (a5e9f6a) Fix stupid gofmt issue

* Sun Jun 19 2016 James Shubin <james@shubin.ca>
- (f821afd) Update cli library path

* Sun Jun 19 2016 James Shubin <james@shubin.ca>
- (2c61de8) Add go report card!

* Sat Jun 18 2016 James Shubin <james@shubin.ca>
- (6da6f75) Add vendored etcd (feat/embedded-etcd)

* Sat Jun 18 2016 James Shubin <james@shubin.ca>
- (a55807a) Split formatting into two targets

* Sat Jun 18 2016 James Shubin <james@shubin.ca>
- (fce86b0) docs: add faq entry about using external etcd cluster

* Sat Jun 18 2016 James Shubin <james@shubin.ca>
- (d26b503) Copy in out of tree patches

* Sat Jun 18 2016 James Shubin <james@shubin.ca>
- (5363839) Embedded etcd

* Sat Jun 18 2016 James Shubin <james@shubin.ca>
- (715a4bf) Update links

* Tue May 31 2016 Felix Frank <Felix.Frank@Alumni.TU-Berlin.de>
- (8f83ece) add puppet integration code (origin/pr/47)

* Tue May 31 2016 Felix Frank <Felix.Frank@Alumni.TU-Berlin.de>
- (2eed4bd) README: add the capnslog package to the build dependencies

* Thu May 26 2016 Raphaël Pinson <github+aem1eeshi1@raphink.net>
- (f4e1e24) Typo in DOCUMENTATION.md (origin/pr/48)

* Mon May 23 2016 Paul Morgan <jumanjiman@gmail.com>
- (05c540e) move doc files to /usr/share/doc/mgmt and tag as docs (origin/pr/46)

* Sun May 22 2016 James Shubin <james@shubin.ca>
- (9656390) Add quote from notable automation specialist and author

* Sat May 21 2016 James Shubin <james@shubin.ca>
- (4b6470d) Remove pesky spaces

* Sat May 21 2016 Michał Czeraszkiewicz <contact@czerasz.com>
- (56471c2) Add Docker support (origin/pr/30)

* Wed May 18 2016 James Shubin <james@shubin.ca>
- (9f56e4a) Add global --noop support (origin/pr/43, origin/feat/noop)

* Wed May 18 2016 James Shubin <james@shubin.ca>
- (12ea860) Expand the event system slightly

* Wed May 18 2016 James Shubin <james@shubin.ca>
- (b876c29) Add logging workaround when embedding etcd

* Tue May 17 2016 Martin Alfke <ma@example42.com>
- (6bbce03) noop as resource meta param

* Tue May 17 2016 Martin Alfke <ma@example42.com>
- (1584f20) make go vet installation optional (origin/pr/38)

* Tue May 17 2016 Martin Alfke <ma@example42.com>
- (dcad5ab) remove vet

* Sat May 14 2016 James Shubin <james@shubin.ca>
- (ab73261) Fix cli API change

* Sat May 14 2016 James Shubin <james@shubin.ca>
- (05b75c0) Pkg: Immediately unconverge on events

* Sat May 14 2016 James Shubin <james@shubin.ca>
- (ba7ef07) Pkg: cache state when it is correct (origin/pr/37)

* Sat May 14 2016 Felix Frank <Felix.Frank@Alumni.TU-Berlin.de>
- (3aaa809) rename the 'stateok' return value to 'checkok' (origin/pr/36)

* Sat May 14 2016 Felix Frank <Felix.Frank@Alumni.TU-Berlin.de>
- (995ca32) packagekit: support Debian's 'all' architecture (origin/pr/35)

* Fri May 13 2016 Martin Alfke <ma@example42.com>
- (bf5f48b) find on OS X needs the dot (origin/pr/32)

* Thu Apr 28 2016 James Shubin <james@shubin.ca>
- (d6e386a) Add a base method for GroupCmp

* Thu Apr 28 2016 James Shubin <james@shubin.ca>
- (a0a71f6) Fix typo

* Tue Apr 26 2016 James Shubin <james@shubin.ca>
- (7adf88b) Update TODO file

* Mon Apr 25 2016 Paul Morgan <jumanjiman@gmail.com>
- (8a9d47f) move systemd tip from README to DOCUMENTATION (origin/pr/27)

* Mon Apr 25 2016 James Shubin <james@shubin.ca>
- (2a0a69c) Update Makefile to be more useful for hackers

* Mon Apr 25 2016 James Shubin <james@shubin.ca>
- (aeab8f5) Fix go generate issue with path

* Mon Apr 25 2016 James Shubin <james@shubin.ca>
- (9407050) Add flatten helper to take apart messy nested lists

* Mon Apr 25 2016 Paul Morgan <jumanjiman@gmail.com>
- (b99da63) add myself as a contributor (origin/pr/26)

* Mon Apr 25 2016 Paul Morgan <jumanjiman@gmail.com>
- (f0d6cfa) add systemd unit file

* Mon Apr 25 2016 Paul Morgan <jumanjiman@gmail.com>
- (3120628) allow to specify CLI options via environment vars

* Mon Apr 25 2016 Paul Morgan <jumanjiman@gmail.com>
- (2654384) add make target to build static binary

* Mon Apr 25 2016 Paul Morgan <jumanjiman@gmail.com>
- (eac3b25) improve portability of the Makefile

* Mon Apr 25 2016 Paul Morgan <jumanjiman@gmail.com>
- (7788f91) make life easier for people who have EditorConfig plugin

* Thu Apr 7 2016 James Shubin <james@shubin.ca>
- (d0c9b71) Small nitpick fixups

* Wed Apr 6 2016 Felix Frank <Felix.Frank@Alumni.TU-Berlin.de>
- (d84caa5) don't abort test suite on first failure (origin/pr/24)

* Mon Apr 4 2016 James Shubin <james@shubin.ca>
- (2ab72bd) Allow stubborn users to avoid having to move their project

* Wed Mar 30 2016 James Shubin <james@shubin.ca>
- (f6833fd) Update docs and README to mention new blog post

* Wed Mar 30 2016 James Shubin <james@shubin.ca>
- (fa8a50b) Update TODO file

* Wed Mar 30 2016 James Shubin <james@shubin.ca>
- (d80c6bb) Add additional autogrouping example

* Tue Mar 29 2016 James Shubin <james@shubin.ca>
- (6f3ac4b) Rework the converged detection and provide a clean interface

* Mon Mar 28 2016 James Shubin <james@shubin.ca>
- (a6dc81a) Allow failures in 1.4.x because of etcd problem (tag: 0.0.3)

* Mon Mar 28 2016 James Shubin <james@shubin.ca>
- (81c5ce4) Add grouping algorithm

* Mon Mar 28 2016 James Shubin <james@shubin.ca>
- (c59f45a) Force process events to be synchronous

* Mon Mar 28 2016 James Shubin <james@shubin.ca>
- (1b01f90) Add resource auto grouping

* Mon Mar 28 2016 James Shubin <james@shubin.ca>
- (9720812) Graph cleanups to make way for the autogroup feature!

* Mon Mar 28 2016 James Shubin <james@shubin.ca>
- (05b4066) Add initial plumbing for autogroups

* Mon Mar 28 2016 James Shubin <james@shubin.ca>
- (50c458b) Support "noarch" style packages in arch check

* Mon Mar 28 2016 James Shubin <james@shubin.ca>
- (2ab6d61) Avoid errors on golint test with travis

* Mon Mar 28 2016 James Shubin <james@shubin.ca>
- (b77a39b) Add golint test improvements so we detect branches more cleverly

* Mon Mar 28 2016 James Shubin <james@shubin.ca>
- (d3f7432) Update context since etcd upstream moved to vendor/ dir

* Mon Mar 14 2016 Daniele Sluijters <daenney@users.noreply.github.com>
- (7f3ef5b) docs: Add Features and autoedges section (origin/pr/19)

* Mon Mar 14 2016 James Shubin <james@shubin.ca>
- (659fb3e) Split the Res interface into a Base sub piece

* Mon Mar 14 2016 James Shubin <james@shubin.ca>
- (d1315bb) Refactor out noop resource into a separate file

* Mon Mar 14 2016 James Shubin <james@shubin.ca>
- (b4ac0e2) Update README and docs with information about new blog post

* Fri Mar 11 2016 James Shubin <james@shubin.ca>
- (bfe6192) Update make deps script to make it better for debian folks

* Thu Mar 10 2016 Xavi S.B <xavi@typeform.com>
- (963f025) Fix broken link to graph.yaml section (origin/pr/18)

* Thu Mar 10 2016 James Shubin <james@shubin.ca>
- (b8cdcae) Switch bc for awk

* Thu Mar 10 2016 James Shubin <james@shubin.ca>
- (6b6dc75) Add a threshold based golint test case

* Thu Mar 10 2016 James Shubin <james@shubin.ca>
- (2364744) Golint fixes

* Thu Mar 10 2016 James Shubin <james@shubin.ca>
- (e60dda5) Add some of the pkg and svc autoedge logic

* Thu Mar 10 2016 James Shubin <james@shubin.ca>
- (f395519) Add pkg auto edge basics with packagekit improvements

* Thu Mar 10 2016 James Shubin <james@shubin.ca>
- (a953805) Split out some of the pkg CheckApply logic

* Thu Mar 10 2016 James Shubin <james@shubin.ca>
- (267d517) Exec variable should use pre-existing error variable

* Thu Mar 10 2016 James Shubin <james@shubin.ca>
- (10b8c93) Make resource "kind" determination more obvious

* Thu Mar 10 2016 James Shubin <james@shubin.ca>
- (c999f0c) Add initial "autoedge" plumbing

* Thu Mar 10 2016 James Shubin <james@shubin.ca>
- (54615dc) Actually update to 1.6 in travis

* Sun Feb 28 2016 James Shubin <james@shubin.ca>
- (9aea95c) Bump go versions in travis

* Sun Feb 28 2016 James Shubin <james@shubin.ca>
- (80f4829) Update Makefile plumbing and associated misc things

* Sun Feb 28 2016 James Shubin <james@shubin.ca>
- (1a164ce) Fix file resource regression

* Fri Feb 26 2016 James Shubin <james@shubin.ca>
- (da494cd) Clean up the examples/ directory

* Tue Feb 23 2016 James Shubin <james@shubin.ca>
- (06635df) Rename GetRes() which is not descriptive, to Kind()

* Mon Feb 22 2016 James Shubin <james@shubin.ca>
- (a56fb3c) Update items for Jenkins tests

* Mon Feb 22 2016 James Shubin <james@shubin.ca>
- (2dc3c62) The svc resource should use the private system bus of course

* Mon Feb 22 2016 James Shubin <james@shubin.ca>
- (0339d0c) Improve go vet testing

* Mon Feb 22 2016 James Shubin <james@shubin.ca>
- (3b5678d) Add package (pkg) resource

* Mon Feb 22 2016 James Shubin <james@shubin.ca>
- (82ff342) Fix Makefile warnings on Travis

* Mon Feb 22 2016 James Shubin <james@shubin.ca>
- (f3d1369) Add some fixes for building in tip or with golang 1.6

* Mon Feb 22 2016 James Shubin <james@shubin.ca>
- (ed61444) Fix golang 1.6 vet issue

* Mon Feb 22 2016 James Shubin <james@shubin.ca>
- (ce0d68a) Make sure to error on test

* Mon Feb 22 2016 James Shubin <james@shubin.ca>
- (74aadba) Update README with small fixes

* Sun Feb 21 2016 James Shubin <james@shubin.ca>
- (58f41ed) Change API from StateOK/Apply to CheckApply()

* Sun Feb 21 2016 James Shubin <james@shubin.ca>
- (4726445) Add great article by felix frank

* Sun Feb 21 2016 James Shubin <james@shubin.ca>
- (3a85384) Rename type to resource (res) and service to svc

* Sat Feb 20 2016 James Shubin <james@shubin.ca>
- (d20b529) Update README with new video

* Sat Feb 20 2016 Rob Wilson <roobert@gmail.com>
- (7199f55) build requires (at least) stringer - add package which contains missing dependency (origin/pr/16)

* Thu Feb 18 2016 James Shubin <james@shubin.ca>
- (674cb24) Update link to video

* Wed Feb 17 2016 James Shubin <james@shubin.ca>
- (02c7336) Add link to slides from Walter Heck

* Tue Feb 16 2016 James Shubin <james@shubin.ca>
- (cde052d) Add DevConf.cz video recording

* Tue Feb 16 2016 James Shubin <james@shubin.ca>
- (989cc8d) Add more mgmtlove tags

* Mon Feb 15 2016 James Shubin <james@shubin.ca>
- (1186d63) Add a link to my article about debugging golang

* Mon Feb 15 2016 James Shubin <james@shubin.ca>
- (6e68d6d) Update web articles

* Sun Feb 14 2016 James Shubin <james@shubin.ca>
- (7d87670) Add test case to match headers

* Fri Feb 12 2016 James Shubin <james@shubin.ca>
- (dbbb483) Switch to CentOS-7.1 for OMV tests.

* Fri Feb 12 2016 James Shubin <james@shubin.ca>
- (85e9473) Make debugging easier when running on Jenkins

* Fri Feb 12 2016 James Shubin <james@shubin.ca>
- (427d424) Update docs to refer to #mgmtlove patches

* Fri Feb 12 2016 James Shubin <james@shubin.ca>
- (f90c5fa) This now works. w00t

* Fri Feb 12 2016 James Shubin <james@shubin.ca>
- (4e9ab3c) Add COPR badge (tag: 0.0.2)

* Fri Feb 12 2016 James Shubin <james@shubin.ca>
- (99b058e) Add build dependencies for remote COPR builder

* Fri Feb 12 2016 James Shubin <james@shubin.ca>
- (fc14e5c) Make an initial RPM package for COPR

* Wed Feb 10 2016 James Shubin <james@shubin.ca>
- (e921dfa) Improve shell scripts

* Wed Feb 10 2016 James Shubin <james@shubin.ca>
- (40476a6) Pave the way for Debian

* Wed Feb 10 2016 James Shubin <james@shubin.ca>
- (8918252) Fix up path issues with vtest+

* Wed Feb 10 2016 James Shubin <james@shubin.ca>
- (ead025c) Path fixes to avoid overwriting each other

* Wed Feb 10 2016 James Shubin <james@shubin.ca>
- (83caea1) Add some special path variables and add centos-ci dependencies

* Wed Feb 10 2016 James Shubin <james@shubin.ca>
- (f4da875) Actually fix the CentOS-CI builds (I hope)

* Wed Feb 10 2016 James Shubin <james@shubin.ca>
- (acff20c) Will this fix Jenkins?

* Wed Feb 10 2016 James Shubin <james@shubin.ca>
- (bbb35fa) Update README

* Wed Feb 10 2016 James Shubin <james@shubin.ca>
- (2896775) Add a TODO list to serve as a near term roadmap

* Wed Feb 10 2016 James Shubin <james@shubin.ca>
- (625ae31) Binary is not reproducible on travis! Why not?

* Mon Feb 8 2016 James Shubin <james@shubin.ca>
- (7268134) Add a simple bashfmt test

* Mon Feb 8 2016 James Shubin <james@shubin.ca>
- (e342c5a) Only format check tracked files

* Mon Feb 8 2016 James Shubin <james@shubin.ca>
- (028fb1c) Add a simple test for reproducibility

* Wed Feb 3 2016 Felix Frank <Felix.Frank@Alumni.TU-Berlin.de>
- (6e66148) README: also list stringer as a dependency (origin/pr/7)

* Wed Feb 3 2016 Felix Frank <Felix.Frank@Alumni.TU-Berlin.de>
- (c47418b) README: specify minimum golang version (origin/pr/5)

* Wed Feb 3 2016 Felix Frank <Felix.Frank@Alumni.TU-Berlin.de>
- (97fda59) README: make code actually display as multi line

* Tue Feb 2 2016 James Shubin <james@shubin.ca>
- (b3e5f77) Make it easier to use converged-timeout

* Tue Feb 2 2016 James Shubin <james@shubin.ca>
- (85f9db1) Cleanup the README file

* Tue Feb 2 2016 James Shubin <james@shubin.ca>
- (655d527) Add a fan in, fan out example and test

* Tue Feb 2 2016 James Shubin <james@shubin.ca>
- (9258119) Allow unbound variables like "$1"

* Tue Feb 2 2016 James Shubin <james@shubin.ca>
- (4cb76d3) Add the ability to run individual shell tests manually

* Tue Feb 2 2016 James Shubin <james@shubin.ca>
- (ff83870) Add a fan in example and test

* Fri Jan 29 2016 James Shubin <james@shubin.ca>
- (3cf8c4a) Add gobin to path in an attempt to make it easy to find go binaries

* Fri Jan 29 2016 James Shubin <james@shubin.ca>
- (9e08de0) Try and pass through with export

* Fri Jan 29 2016 James Shubin <james@shubin.ca>
- (8f0d3e3) I give up, let's see some debug output

* Fri Jan 29 2016 James Shubin <james@shubin.ca>
- (3870a2c) Pass jenkins url through to child machine

* Fri Jan 29 2016 James Shubin <james@shubin.ca>
- (cc9bc6a) Add missing ^ character

* Fri Jan 29 2016 James Shubin <james@shubin.ca>
- (cd663d2) Work around missing JENKINS_URL regression

* Fri Jan 29 2016 James Shubin <james@shubin.ca>
- (dee8cd9) Be more specific in error messages for easier debugging

* Fri Jan 29 2016 James Shubin <james@shubin.ca>
- (a64b9f8) Skip yamlfmt on jenkins too

* Fri Jan 29 2016 James Shubin <james@shubin.ca>
- (b3b78b9) Fix typo

* Fri Jan 29 2016 James Shubin <james@shubin.ca>
- (f4a86b2) Add centos-ci script to mgmt for independence and for make gopath

* Fri Jan 29 2016 James Shubin <james@shubin.ca>
- (8b0a078) Add gopath Makefile target

* Fri Jan 29 2016 James Shubin <james@shubin.ca>
- (fb85130) Add CentOS jenkins ci hooks

* Thu Jan 28 2016 James Shubin <james@shubin.ca>
- (08d5a3b) Work around old go versions not supporting equals sign

* Thu Jan 28 2016 James Shubin <james@shubin.ca>
- (358604d) Enable shell tests

* Thu Jan 28 2016 James Shubin <james@shubin.ca>
- (0795cad) Travis: don't sully the homepage with broken test branches

* Thu Jan 28 2016 James Shubin <james@shubin.ca>
- (0d8b4aa) Fix string issues in the build

* Thu Jan 21 2016 James Shubin <james@shubin.ca>
- (2930985) Avoid any possible errors with git describe

* Thu Jan 21 2016 James Shubin <james@shubin.ca>
- (d5367b7) Add shell based test harness

* Thu Jan 21 2016 James Shubin <james@shubin.ca>
- (820294c) Add golang stringer to deps

* Wed Jan 20 2016 James Shubin <james@shubin.ca>
- (9ab746f) I guess we'll have to stick with the name for now

* Wed Jan 20 2016 James Shubin <james@shubin.ca>
- (d7903d8) Update faq to add etcd vs. consul answer

* Wed Jan 20 2016 James Shubin <james@shubin.ca>
- (0ca9351) Don't generate file watch events if disabled

* Tue Jan 19 2016 James Shubin <james@shubin.ca>
- (491e9fd) Golint fixes

* Tue Jan 19 2016 James Shubin <james@shubin.ca>
- (4599b39) Fix failure of go 1.4.3 due to missing `go vet`

* Tue Jan 19 2016 James Shubin <james@shubin.ca>
- (30385c8) Bump golang versions in travis

* Tue Jan 19 2016 James Shubin <james@shubin.ca>
- (8308680) Make sure to unpause all elements when resuming

* Mon Jan 18 2016 James Shubin <james@shubin.ca>
- (9c18972) Add information on providing good logs

* Mon Jan 18 2016 James Shubin <james@shubin.ca>
- (79a5e09) Improve wording in README.md for clarification

* Mon Jan 18 2016 James Shubin <james@shubin.ca>
- (304b482) Many examples now exist

* Mon Jan 18 2016 James Shubin <james@shubin.ca>
- (c0d3678) Remove useless noop types

* Mon Jan 18 2016 James Shubin <james@shubin.ca>
- (74baa03) Add link to first blog post

* Fri Jan 15 2016 James Shubin <james@shubin.ca>
- (61c668e) Limit the number of initial start poke's required

* Fri Jan 15 2016 James Shubin <james@shubin.ca>
- (8db5d63) Exit if program was not compiled correctly

* Fri Jan 15 2016 James Shubin <james@shubin.ca>
- (6e9439f) Avoid panic's when referencing non-existing objects

* Fri Jan 15 2016 James Shubin <james@shubin.ca>
- (f7858b8) Add state caching and invalidation to service type

* Thu Jan 14 2016 James Shubin <james@shubin.ca>
- (935805a) Add state caching for most types

* Tue Jan 12 2016 James Shubin <james@shubin.ca>
- (4c6647d) Fixup state related items

* Tue Jan 12 2016 James Shubin <james@shubin.ca>
- (c57946e) Fix dependency issue

* Sun Jan 10 2016 James Shubin <james@shubin.ca>
- (48eddc3) Catch a different form of etcd disconnect

* Sun Jan 10 2016 James Shubin <james@shubin.ca>
- (8ea8ef8) Simplify converge checker

* Sun Jan 10 2016 James Shubin <james@shubin.ca>
- (1c49bbc) Clean up the distributed example for clarity

* Sun Jan 10 2016 James Shubin <james@shubin.ca>
- (ebc1c60) The noop type is not useful in this example

* Sun Jan 10 2016 James Shubin <james@shubin.ca>
- (590394b) Clean up better

* Sat Jan 9 2016 James Shubin <james@shubin.ca>
- (97664c3) Fix effective off-by-one error in dependency processing

* Sat Jan 9 2016 James Shubin <james@shubin.ca>
- (ea7fd76) Add exec type and fix up a few other things

* Fri Jan 8 2016 James Shubin <james@shubin.ca>
- (45ff3b6) Merge type comparison into a single function call

* Fri Jan 8 2016 James Shubin <james@shubin.ca>
- (d769309) Hello 2016!

* Thu Jan 7 2016 James Shubin <james@shubin.ca>
- (d2bcfdc) Fix go vet error

* Wed Jan 6 2016 James Shubin <james@shubin.ca>
- (72525d3) Refactor etcd into object and add exit timers

* Tue Jan 5 2016 James Shubin <james@shubin.ca>
- (95489b9) Add information on which libraries are being used

* Tue Jan 5 2016 James Shubin <james@shubin.ca>
- (0bbfd1d) Add missing stringer dependency

* Mon Jan 4 2016 James Shubin <james@shubin.ca>
- (904ace8) Fix up go vet errors and integrate with ci

* Mon Jan 4 2016 James Shubin <james@shubin.ca>
- (d8cbeb5) Support N distributed agents

* Tue Dec 29 2015 James Shubin <james@shubin.ca>
- (72a8027) Update README

* Tue Dec 29 2015 James Shubin <james@shubin.ca>
- (39f7c30) Ira deserves to be mentioned in the THANKS list

* Tue Dec 29 2015 James Shubin <james@shubin.ca>
- (1ba6be2) Add graphviz generation and visualization

* Mon Dec 21 2015 James Shubin <james@shubin.ca>
- (6b4fa21) Mega patch

* Mon Oct 12 2015 James Shubin <james@shubin.ca>
- (0ea6f30) Reorganize testing for developer efficiency

* Sat Oct 10 2015 James Shubin <james@shubin.ca>
- (4f6605b) Don't format or check omv.yaml syntax

* Tue Oct 6 2015 James Shubin <james@shubin.ca>
- (e44da95) Add equals sign to pass in variables

* Tue Oct 6 2015 James Shubin <james@shubin.ca>
- (dd3759a) Update gofmt test to allow version 1.5

* Fri Oct 2 2015 James Shubin <james@shubin.ca>
- (3e4709d) Add tag script

* Tue Sep 29 2015 James Shubin <james@shubin.ca>
- (66e030a) Add more shields!

* Sat Sep 26 2015 James Shubin <james@shubin.ca>
- (451fb35) Add missing watch event for files

* Sat Sep 26 2015 James Shubin <james@shubin.ca>
- (8dbca80) Add omv support

* Fri Sep 25 2015 James Shubin <james@shubin.ca>
- (6150c2c) Small grep flag fix so command is idempotent

* Fri Sep 25 2015 James Shubin <james@shubin.ca>
- (2708223) Put all the deps in one script

* Fri Sep 25 2015 James Shubin <james@shubin.ca>
- (327c5fb) Fix small typo

* Fri Sep 25 2015 James Shubin <james@shubin.ca>
- (f789cf1) Add travis-ci integration

* Fri Sep 25 2015 James Shubin <james@shubin.ca>
- (19a9090) Add better reporting of errors in yaml formatting test

* Fri Sep 25 2015 James Shubin <james@shubin.ca>
- (25ad05c) Initial public commit of mgmt (tag: 0.0.1)

